Bug 24540 - Unexpected behaviour on 'enter' in point of sale payment fields
Summary: Unexpected behaviour on 'enter' in point of sale payment fields
Status: Pushed to master
Alias: None
Product: Koha
Classification: Unclassified
Component: Staff Client (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Martin Renvoize
QA Contact: Testopia
URL:
Keywords:
Depends on: 24482
Blocks: 13985
  Show dependency treegraph
 
Reported: 2020-01-30 08:25 UTC by Martin Renvoize
Modified: 2020-04-01 21:15 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
20.05.00


Attachments
Bug 24540: Prevent add button being triggered on enter (1.59 KB, patch)
2020-03-02 16:52 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 24540: Prevent add button being triggered on enter (2.44 KB, patch)
2020-03-02 16:56 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 24540: Prevent add button being triggered on enter (2.50 KB, patch)
2020-03-03 13:29 UTC, Andrew Fuerste-Henry
Details | Diff | Splinter Review
Bug 24540: Prevent add button being triggered on enter (2.56 KB, patch)
2020-03-04 11:57 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Martin Renvoize 2020-01-30 08:25:57 UTC
If you press enter in the 'Collected from patron' field it adds the first item listed under the 'Items for purchase' section to 'This sale'.
Comment 1 Martin Renvoize 2020-03-02 16:52:19 UTC
Created attachment 99951 [details] [review]
Bug 24540: Prevent add button being triggered on enter

This patch prevents the add button being triggered by hitting return
from inside the collected from patron form input.
Comment 2 Martin Renvoize 2020-03-02 16:56:22 UTC
Created attachment 99952 [details] [review]
Bug 24540: Prevent add button being triggered on enter

This patch prevents the add button being triggered by hitting return
from inside the collected from patron form input.
Comment 3 Andrew Fuerste-Henry 2020-03-03 13:29:15 UTC
Created attachment 100004 [details] [review]
Bug 24540: Prevent add button being triggered on enter

This patch prevents the add button being triggered by hitting return
from inside the collected from patron form input.

Signed-off-by: Andrew Fuerste-Henry <andrew@bywatersolutions.com>
Comment 4 Tomás Cohen Arazi 2020-03-04 11:57:52 UTC
Created attachment 100097 [details] [review]
Bug 24540: Prevent add button being triggered on enter

This patch prevents the add button being triggered by hitting return
from inside the collected from patron form input.

Signed-off-by: Andrew Fuerste-Henry <andrew@bywatersolutions.com>
Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>
Comment 5 Martin Renvoize 2020-03-04 14:54:35 UTC
Nice work everyone!

Pushed to master for 20.05
Comment 6 Joy Nelson 2020-04-01 21:15:28 UTC
not pushed to 19.11.x due to dependencies